LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 08-16-2004, 03:14 PM   #1
manicajk
Newbie
 
Registered: Aug 2004
Location: MK
Distribution: Suse 9.1
Posts: 12

Rep: Reputation: 0
trouble finding libraries required for apache 2.0.50


I am trying to install apache on my suse 9.1 machine. I am eliminating the suse dependency errors one by one but now i am down to 5 that i cannot fix no matter what rpm's i try and install.
They are:
libcrypto.so.4
liblber.so.2
libldap.so.2
libssl.so.4
openldap

Can anybody point me in the right direction?

Thanks

Andy
 
Old 08-16-2004, 03:27 PM   #2
david_ross
Moderator
 
Registered: Mar 2003
Location: Scotland
Distribution: Slackware, RedHat, Debian
Posts: 12,047

Rep: Reputation: 64
The first few can be solved by installing openssl:
http://www.openssl.org

And the ldap one by installing openldap:
http://www.openldap.org
 
Old 08-16-2004, 03:32 PM   #3
Ikana
LQ Newbie
 
Registered: Aug 2004
Distribution: FreeBSD 4.10, Fedora Core 2
Posts: 11

Rep: Reputation: 0
Can't you download the source from apache.org and install it that way? I mean, I've never used suse, so I don't know, but that's the way I've always done it.
 
Old 08-16-2004, 03:33 PM   #4
manicajk
Newbie
 
Registered: Aug 2004
Location: MK
Distribution: Suse 9.1
Posts: 12

Original Poster
Rep: Reputation: 0
I have been to the suse ftpsite and downloaded the 9.1 openssl and openldap packages but nothing seems to install when irun them through Yast.
Looking at Yast it says I have version 0.9.7d-15.13 of Openssl installed and version 1.2.13-285 of openldap-lib so what is going on?

Aaaagggghh this is doing my head in.
 
Old 08-16-2004, 05:05 PM   #5
manicajk
Newbie
 
Registered: Aug 2004
Location: MK
Distribution: Suse 9.1
Posts: 12

Original Poster
Rep: Reputation: 0
all sorted now, i trawled through the suse ftp server and found suse rpm's for apache 2.0.40 which is good enough for what i want, even found php4 which wa a bonus. Happy days again!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
./configure not finding KDE libraries MadCowDzz Suse/Novell 3 11-21-2005 06:49 AM
Libraries required for mplayer! tolis Linux - Software 9 12-17-2003 02:01 PM
Program not finding java VM libraries gtanghookup Linux - Software 5 09-04-2003 01:20 AM
where do i get libraries required for OpenOffice? tentonipete Slackware 4 07-10-2003 04:33 AM
Help finding libraries biggiefatts Linux - Software 1 11-19-2002 12:16 PM


All times are GMT -5. The time now is 06:21 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration